Beyrl and Ubuntu 7.04

Discussion in 'Desktop Operation' started by Toriacht, May 21, 2007.

  1. Toriacht

    Toriacht New Member

    Hi,

    I was trying to install Beyrl last night following the instructions posted here:

    http://www.howtoforge.com/ubuntu_feisty_beryl_ati_radeon

    Everything was fine until I restarted X after editing /etc/X11/xorg.conf in Step 3. My machine crashed and will not boot any more. I get a screen similar to the Windows Blue Screen of Death telling me there is a problem with the xorg.conf file.

    I can boot into the Recovery Mode but don't know what to do next!? When editing my xorg.conf file I included the line

    InputDevice "Synaptics Touchpad" in Section "ServerLayout"

    even though I never installed this on my machine. Could this be factor. Is there a step by step resource anywhere to help me recover?

    Thanks,
    Toriacht
     
  2. falko

    falko Super Moderator ISPConfig Developer

    Please boot your system (in recovery mode), then edit /etc/X11/xorg.conf with a text editor like vi:
    Code:
    vi /etc/X11/xorg.conf
    Comment out the line
    Code:
    InputDevice "Synaptics Touchpad"
    and reboot the system.

    If you don't know how to use vi, take a look here: http://www.howtoforge.com/faq/12_15_en.html
     
  3. Toriacht

    Toriacht New Member

    Hi Falko,

    Thanks for your reply. That worked nicely. Beryl seemed to install ok but when I select it as my Window Manager my screen flashes a few times and it reverts back to Gnome WM. I've pasted my xorg.conf file below. Any ideas?

    Thanks again for your help,
    Toriacht


    # /etc/X11/xorg.conf (xorg X Window System server configuration file)
    #
    # This file was generated by dexconf, the Debian X Configuration tool, using
    # values from the debconf database.
    #
    # Edit this file with caution, and see the xorg.conf(5) manual page.
    # (Type "man xorg.conf" at the shell prompt.)
    #
    # This file is automatically updated on xserver-xorg package upgrades *only*
    # if it has not been modified since the last upgrade of the xserver-xorg
    # package.
    #
    # If you have edited this file but would like it to be automatically updated
    # again, run the following command:
    # sudo dpkg-reconfigure -phigh xserver-xorg

    Section "Files"
    FontPath "/usr/share/fonts/X11/misc"
    FontPath "/usr/share/fonts/X11/cyrillic"
    FontPath "/usr/share/fonts/X11/100dpi/:unscaled"
    FontPath "/usr/share/fonts/X11/75dpi/:unscaled"
    FontPath "/usr/share/fonts/X11/Type1"
    FontPath "/usr/share/fonts/X11/100dpi"
    FontPath "/usr/share/fonts/X11/75dpi"
    # path to defoma fonts
    FontPath "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
    EndSection

    Section "Module"
    Load "i2c"
    Load "bitmap"
    Load "ddc"
    Load "dri"
    Load "extmod"
    Load "freetype"
    Load "glx"
    Load "int10"
    Load "vbe"
    Load "dbe"
    EndSection

    Section "InputDevice"
    Identifier "Generic Keyboard"
    Driver "kbd"
    Option "CoreKeyboard"
    Option "XkbRules" "xorg"
    Option "XkbModel" "pc105"
    Option "XkbLayout" "ie"
    EndSection

    Section "InputDevice"
    Identifier "Configured Mouse"
    Driver "mouse"
    Option "CorePointer"
    Option "Device" "/dev/input/mice"
    Option "Protocol" "ImPS/2"
    Option "ZAxisMapping" "4 5"
    Option "Emulate3Buttons" "true"
    EndSection

    Section "InputDevice"
    Driver "wacom"
    Identifier "stylus"
    Option "Device" "/dev/input/wacom"
    Option "Type" "stylus"
    Option "ForceDevice" "ISDV4" # Tablet PC ONLY
    EndSection

    Section "InputDevice"
    Driver "wacom"
    Identifier "eraser"
    Option "Device" "/dev/input/wacom"
    Option "Type" "eraser"
    Option "ForceDevice" "ISDV4" # Tablet PC ONLY
    EndSection

    Section "InputDevice"
    Driver "wacom"
    Identifier "cursor"
    Option "Device" "/dev/input/wacom"
    Option "Type" "cursor"
    Option "ForceDevice" "ISDV4" # Tablet PC ONLY
    EndSection

    Section "Device"
    Identifier "ATI Technologies Inc Radeon RV100 QY [Radeon 7000/VE]"
    Driver "radeon"
    BusID "PCI:1:0:0"
    Option "XAANoOffscreenPixmaps"
    Option "AGPMode" "4"
    Option "AGPFastWrite" "true"
    Option "DisableGLXRootClipping" "true"
    Option "AddARGBGLXVisuals" "true"
    Option "AllowGLXWithComposite" "true"
    Option "EnablePageFlip" "true"
    EndSection

    Section "Monitor"
    Identifier "DELL E171FP"
    Option "DPMS"
    EndSection

    Section "Screen"
    Identifier "Default Screen"
    Device "ATI Technologies Inc Radeon RV100 QY [Radeon 7000/VE]"
    Monitor "DELL E171FP"
    DefaultDepth 24
    SubSection "Display"
    Depth 1
    Modes "1280x1024" "1152x864" "1024x768" "800x600" "720x400" "640x480"
    EndSubSection
    SubSection "Display"
    Depth 4
    Modes "1280x1024" "1152x864" "1024x768" "800x600" "720x400" "640x480"
    EndSubSection
    SubSection "Display"
    Depth 8
    Modes "1280x1024" "1152x864" "1024x768" "800x600" "720x400" "640x480"
    EndSubSection
    SubSection "Display"
    Depth 15
    Modes "1280x1024" "1152x864" "1024x768" "800x600" "720x400" "640x480"
    EndSubSection
    SubSection "Display"
    Depth 16
    Modes "1280x1024" "1152x864" "1024x768" "800x600" "720x400" "640x480"
    EndSubSection
    SubSection "Display"
    Depth 24
    Modes "1280x1024" "1152x864" "1024x768" "800x600" "720x400" "640x480"
    EndSubSection
    EndSection

    Section "ServerLayout"
    Option "AIGLX" "true"
    Identifier "Default Layout"
    Screen "Default Screen"
    InputDevice "Generic Keyboard"
    InputDevice "Configured Mouse"
    InputDevice "stylus" "SendCoreEvents"
    InputDevice "cursor" "SendCoreEvents"
    InputDevice "eraser" "SendCoreEvents"
    EndSection

    Section "DRI"
    Mode 0666
    EndSection
    Section "Extensions"
    Option "Composite" "Enable"
    EndSection
     
  4. falko

    falko Super Moderator ISPConfig Developer

    Are there any errors in your logs (in /var/log)?
     
  5. Toriacht

    Toriacht New Member

    Hi Falko,

    Thanks for your reply. There was nothing obvious there that my untrained eye could see. I tried to start beryl using the 'select window manager' option a few times and i watched to see if any of the logs updated but they didn't.

    in user log i saw the following error if it's any use?
    May 23 20:53:27 William-Desktop gconfd (root-8644): GConf server is not in use, shutting down.

    Is there a Beryl specific log I could check or perhaps should I pay particular attention to any one of the logs located in /var/logs as there was a few log files there?

    Thanks again,
    Toriacht
     
  6. Toriacht

    Toriacht New Member

    Hi Falko,

    When I tried to start Beryl thru the terminal instead of using the diamond or applications menu i found the following error (pasted below). My screen resolution was causing a problem :Root window size (1280/1024) is bigger then maximum texture size (1024x1024). When I reduced the resolution to 1024X768 (below the max. texture size) Beryl would finally start but most windows on my screen became garbled within a minute or so.

    Still I suppose it's progress! Any ideas on how I might improve the situation even further!??

    Thanks,
    Toriacht


    brian@William-Desktop:~$ beryl-manager
    brian@William-Desktop:~$ beryl
    **************************************************************
    * Beryl system compatiblity check *
    **************************************************************

    Detected xserver : AIGLX

    Checking Display :0.0 ...

    Checking for XComposite extension : passed (v0.3)
    Checking for XDamage extension : passed
    Checking for RandR extension : passed
    Checking for XSync extension : passed

    Checking Screen 0 ...

    Checking for GLX_SGIX_fbconfig : passed
    Checking for GLX_EXT_texture_from_pixmap : passed
    Checking for non power of two texture support : passed
    Checking maximum texture size : failed

    Root window size (1280/1024) is bigger then maximum texture size (1024x1024)

    X Error of failed request: GLXBadContext
    Major opcode of failed request: 157 (GLX)
    Minor opcode of failed request: 4 (X_GLXDestroyContext)
    Serial number of failed request: 38
    Current serial number in output stream: 40
    brian@William-Desktop:~$ beryl
    **************************************************************
    * Beryl system compatiblity check *
    **************************************************************

    Detected xserver : AIGLX

    Checking Display :0.0 ...

    Checking for XComposite extension : passed (v0.3)
    Checking for XDamage extension : passed
    Checking for RandR extension : passed
    Checking for XSync extension : passed

    Checking Screen 0 ...

    Checking for GLX_SGIX_fbconfig : passed
    Checking for GLX_EXT_texture_from_pixmap : passed
    Checking for non power of two texture support : passed
    Checking maximum texture size : failed

    Root window size (1152/864) is bigger then maximum texture size (1024x1024)

    X Error of failed request: GLXBadContext
    Major opcode of failed request: 157 (GLX)
    Minor opcode of failed request: 4 (X_GLXDestroyContext)
    Serial number of failed request: 38
    Current serial number in output stream: 40
    brian@William-Desktop:~$ beryl
    **************************************************************
    * Beryl system compatiblity check *
    **************************************************************

    Detected xserver : AIGLX

    Checking Display :0.0 ...

    Checking for XComposite extension : passed (v0.3)
    Checking for XDamage extension : passed
    Checking for RandR extension : passed
    Checking for XSync extension : passed

    Checking Screen 0 ...

    Checking for GLX_SGIX_fbconfig : passed
    Checking for GLX_EXT_texture_from_pixmap : passed
    Checking for non power of two texture support : passed
    Checking maximum texture size : passed (1024x1024)

    Reloading options
    X connection to :0.0 broken (explicit kill or server shutdown).
    brian@William-Desktop:~$
     
  7. falko

    falko Super Moderator ISPConfig Developer

  8. Toriacht

    Toriacht New Member

    Hi Falko,

    Thanks again for taking the time to reply. I made the changes suggest in that thread but now whn I start Beryl my screen becomes an unreadbale green blur. It seem to divide the desktop in four with the bottom two quadrants just black and the top two quadrants are both seperate garbled images images of my desktop. I read on another forum that this can be caused by having default depth at 16!!

    http://ubuntuforums.org/archive/index.php/t-31418.html"***</blockquote></t-386327.html

    Thanks,
    Toriacht
     
  9. falko

    falko Super Moderator ISPConfig Developer

    Hm, it seems then that you can use Beryl only if you set your screen resolution to 1024x768...
     
  10. Toriacht

    Toriacht New Member

    Hi Falko,

    Not exactly. Beryl will start thru the menu option on the lower resolution but the screen becomes a garbled mess very soon. If I try and start it on full resolution thru the menu with the display depth reduced to 16 I get the green screen mess described above.

    However, I discovered I can actually start Beryl successfully, at full resolution, with Display depth set to 16 if I start it thru a terminal and not thru the menu!

    I'm don't think if I have full functionality, i don't think the cube works correctly, but it will run for a while before crashing. The terminal does print out errors and after using it for a while it will crash, telling me that it had a segmentation error and has dumped the core. Some of the errors are pasted below. I don't know if it's related but there is also a entry in the logs like this
    May 27 20:18:39 William-Desktop gconfd (brian-7879): Failed to send buffer

    Terminal Errors pasted here:

    19:52MAy 26

    segmentation error
    core dumped


    Reloading options
    beryl: core: Received winTypeAtom but unable to find the window for the event
    Reloading options
    Reloading options
    Reloading options
    No framebuffer_object support! (only simple Blur aviable).
    No fragment_program support! (only simple Blur aviable).
    Reloading options
    Reloading options
    No framebuffer_object support! (only simple Blur aviable).
    No fragment_program support! (only simple Blur aviable).
    Reloading options
    Reloading options
    Reloading options
    beryl: unsupported window depth for thumbnail
    beryl: unsupported window depth for thumbnail

    Reloading options
    beryl: core: Received winTypeAtom but unable to find the window for the event
    Reloading options
    Reloading options
    Reloading options
    No framebuffer_object support! (only simple Blur aviable).
    No fragment_program support! (only simple Blur aviable).
    Reloading options
    Reloading options
    No framebuffer_object support! (only simple Blur aviable).
    No fragment_program support! (only simple Blur aviable).
    Reloading options
    Reloading options
    Reloading options
    Reloading options
    beryl: core: Received winTypeAtom but unable to find the window for the event
    Reloading options
    Reloading options
    Reloading options
    No framebuffer_object support! (only simple Blur aviable).
    No fragment_program support! (only simple Blur aviable).
    Reloading options
    Reloading options
    No framebuffer_object support! (only simple Blur aviable).
    No fragment_program support! (only simple Blur aviable).
    Reloading options
    Reloading options
    Reloading options
    beryl: unsupported window depth for thumbnail
    beryl: unsupported window depth for thumbnail



    Thanks,
    Toriacht
     
  11. falko

    falko Super Moderator ISPConfig Developer

    It seems the Beryl binaries don't work properly on your hardware. You could try to compile Beryl from the sources or from the source .deb packages (maybe easier).
     
  12. Toriacht

    Toriacht New Member

    Hi Falko,

    Thanks for all your replies. I think I'll just leave it for now...I'll wait till a later version of Beryl.

    Thanks again,
    Toriacht...
     
  13. sheds

    sheds New Member

    Beryl GPG key link broke

    I've been following the instructions on the link below to install beryl on ubuntu feisty fawn:

    http://www.howtoforge.com/ubuntu_feisty_beryl_ati_radeon

    It looks fairly simple, but i get stuck not on executing commands, but downloading the GPG key from the link the manual specifies. More in detail, this link:
    wget http://ubuntu.beryl-project.org/root@lupine.me.uk.gpg -O- | sudo apt-key add -

    I get the following error when executing that line:
    Password:--02:27:04-- http://ubuntu.beryl-project.org/root@lupine.me.uk.gpg
    => `-'
    Resolving ubuntu.beryl-project.org... 80.77.247.17, 82.140.42.54, 88.191.250.18, ...
    Connecting to ubuntu.beryl-project.org|80.77.247.17|:80... connected.
    HTTP request sent, awaiting response... 404 Not Found
    02:27:04 ERROR 404: Not Found.

    From where do i get the key so that i can continue to install beryl?

    Thanks in advance for the help.
     
  14. falko

    falko Super Moderator ISPConfig Developer

    The link's working for me. Maybe you made a typo?
     
  15. sheds

    sheds New Member

    I copied the link as it is, i didn't type it. You don't get that error message i am getting? Weird!!! I swear i just copy the link that's on the manual, and paste it on the shell prompt, and that's what i get.
     
  16. falko

    falko Super Moderator ISPConfig Developer

    Yes, it's working for me.
    Can you try the link in a browser?
     
  17. sfxc13

    sfxc13 New Member

    I used the HowTo guide and everything was working perfectly, until I did something stupid. I was trying to activat the s-video port on my laptop and enabled the ATI accelerated graphics driver in the restriced drivers menu. Now the Beryl icon load, and no errors are displayed, but none of the functions exist. I immediately disabled the ATI driver, but nothing changed. I then completely removed all beryl packages in synaptic package manager and reinstalled following the guide, however I still have the same problem. Any ideas?
     
  18. falko

    falko Super Moderator ISPConfig Developer

    Can you open a new thread for this? Otherwise this one'll get too confusing.
     

Share This Page